@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Rubik', sans-serif;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 500px;
    height: 500px;
}

.currency-converter {
    background-color: #778899;
    border-radius: 10px;
    border: 1.5px solid #000;
    box-shadow: 8px 5px 9px -2px rgba(0,0,0,0.79);
}

.currency-converter__header {
    display: inline;
    color: #fff;
    margin-top: -70px;
    margin-bottom: 70px;
    font-size: 40px;
}

.currency-converter__input-container + .currency-converter__input-container {
    margin-top: 10px;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
   margin: 0;
}

input[type='number'] {
    -moz-appearance: textfield;
}

input, select {
    border-radius: 3px;
    border: none;
    width: 220px;
    height: 35px;
    font-size: 16px;
}

input {
    padding-left: 10px;
}

input:focus {
    outline: 1.5px solid #000;
}

.is-invalid {
    border: 1.5px solid #B22222;
    background-color: #ffeaea;
}

.is-invalid:focus {
    outline: 1px solid #B22222;
}

.currency-converter__error {
    font-size: 14px;
    color: #FCA5A5;
    font-weight: 500;
}

.currency-converter__error-request {
    padding-top: 10px;
    color: #FCA5A5;
}

.hide {
    display: none;
}

.btn-conversion {
    margin-bottom: -60px;
    margin-top: 60px;
    width: 200px;
    height: 40px;
    border-radius: 5px;
    border: none;
    background-color: #F0F8FF;
    cursor: pointer;
    font-size: 20px;
    transition: 0.3s;
}

.btn-conversion:hover {
    background-color: #fff;
    transition: 0.3s;
}

@media (max-width: 450px) {
    .currency-converter {
        text-align: center;
    }

    input {
        margin-bottom: 10px;
    }
}